@ECHO OFF
REM QM1_Create.bat
::
::
:: Set the following three variables for the queue manager to be created.
::
::
:: QMGR:       The name of the queue manager to be created.
::
:: CRTQMGARGS: Arguments to be passed to the 'crtmqm' command.
::
:: MQSCOPTS:   WMQ object class MQSC flags:
::
::     /M {QueueManagerName.QMgr.mqsc}
::     /C {QueueManagerName.Channels.mqsc}
::     /Q {QueueManagerName.Queues.mqsc}
::     /A {QueueManagerName.ChlAuth.mqsc} and/or {MQE.ChlAuth.mqsc}
::
::   Additionally, there is an OAM directives class that technically is not an MQSC file:
::     /O {QueueManagerName.SetOAM.bat} and/or {MQE.SetOAM.bat}
::

SET QMGR=QM1
::
::
SET "CRTQMGARGS=-si -lc -lp 3 -ls 2 -lf 1024"
::
::
SET "MQSCOPTS=/M /C /Q /A /O"
::
::
:: Create the queue manager.
::
CALL CreateQMgr.bat
